- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
WP42Parser Class Reference

`#include <WP42Parser.h>`

Inheritance diagram for WP42Parser:

## Public Member Functions
| WP42Parser (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP42Parser ()
void | parse (librevenge::RVNGTextInterface *documentInterface)
void | parseSubDocument (librevenge::RVNGTextInterface *documentInterface)
Public Member Functions inherited from WPXParser
| WPXParser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
virtual | ~WPXParser ()

## Static Public Member Functions
static void | parseDocument (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP42Listener *listener)

## Private Member Functions
void | parse (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP42Listener *listener)

## Additional Inherited Members
Protected Member Functions inherited from WPXParser
WPXHeader * | getHeader ()
librevenge::RVNGInputStream * | getInput ()
WPXEncryption * | getEncryption ()

## Constructor & Destructor Documentation

WP42Parser::WP42Parser | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

WP42Parser::~WP42Parser | ( |  | ) |

## Member Function Documentation

void WP42Parser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

Implements WPXParser.

void WP42Parser::parse | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP42Listener * | listener
| ) |  |
| private

void WP42Parser::parseDocument | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP42Listener * | listener
| ) |  |
| static

Referenced by WP42SubDocument::parse(), parse(), and parseSubDocument().

void WP42Parser::parseSubDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

Implements WPXParser.

The documentation for this class was generated from the following files:

- WP42Parser.h
- WP42Parser.cpp